PingOne Platform APIs

Application - Device Requirements (PingID mobile app only)

Use the deviceRequirements endpoint to set device requirements for using the PingID app, for example, the minimum Android or iOS version required.

Device requirements data model

Property Type Required Mutable Description

application.id

String

N/A

Read-only

The PingOne ID of the application.

deviceLockEnableRequire.enabled

Boolean

Optional

Mutable

Set to true if you want to require a user’s device to have a device lock enabled in order to use the PingID mobile app.

deviceNotAllowedRootedOrJailBroken.enabled

Boolean

Optional

Mutable

Set to true if you want to prevent users from using the PingID mobile app on a rooted or jailbroken device.

deviceRequireBiometricsCapabilities.enabled

Boolean

Optional

Mutable

Set to true if you want to require a user’s device to have biometric capabilities such as fingerprint reading in order to pair or authenticate with the PingID mobile app.

environment.id

String

N/A

Read-only

The PingOne environment associated with the application.

minimumOSVersionRequire.enabled

Boolean

Optional

Mutable

Set to true if you want to specify a minimum operating system version on the device to allow pairing and authentication with the PingID mobile app. Use minimumOSVersionRequire.android and ` minimumOSVersionRequire.ios` to specify the minimum versions for Android and iOS.

minimumOSVersionRequire.android

String

Optional

Mutable

If minimumOSVersionRequire.enabled is set to true, use android to specify the minimum Android version that you want to require.

minimumOSVersionRequire.ios

String

Optional

Mutable

If minimumOSVersionRequire.enabled is set to true, use ios to specify the minimum iOS version that you want to require.

minimumPingIDAppVersionRequire.enabled

Boolean

Optional

Mutable

Set to true if you want to specify a minimum version of the PingID mobile app on the device to allow pairing and authentication with the app. Use minimumPingIDAppVersionRequire.android and minimumPingIDAppVersionRequire.ios to specify the minimum versions for Android and iOS.

minimumPingIDAppVersionRequire.android

String

Optional

Mutable

If minimumPingIDAppVersionRequire.enabled is set to true, use android to specify the minimum PingID version that you want to require on Android.

minimumPingIDAppVersionRequire.ios

String

Optional

Mutable

If minimumPingIDAppVersionRequire.enabled is set to true, use ios to specify the minimum PingID version that you want to require on iOS.

mobileDeviceManagementRequire.enabled

Boolean

Optional

Mutable

If you require mobile device management for all devices using the PingID mobile app, set to true to generate a token.

mobileDeviceManagementRequire.effectiveDate

Date

Optional

Mutable

Use effectiveDate to specify the date by which you want the MDM requirement to be applied. Required when mobileDeviceManagementRequire.enabled is set to true.

mobileDeviceManagementRequire.tokens

Array

Optional

Mutable

Contains the information for tokens generated for mobile device management. Required when mobileDeviceManagementRequire.enabled is set to true.

mobileDeviceManagementRequire.tokens[].creationTime

String

Optional

Mutable

The date and time the token was generated. Required when mobileDeviceManagementRequire.enabled is set to true.

mobileDeviceManagementRequire.tokens[].token

String

Optional

Mutable

The token generated for mobile device management. Required when mobileDeviceManagementRequire.enabled is set to true.

restrictDevicesByBrand.enabled

Boolean

Optional

Mutable

Set to true if you want to limit use of the PingID mobile app to a group of device brands or device models. You can specify the brands/devices that can be used by defining an allow list or by defining a disallow list.

restrictDevicesByBrand.deviceBrandsAllowed

Array

Optional

Mutable

Array of the device brand names that you are limiting use of the PingID app to.

restrictDevicesByBrand.deviceBrandsDisAllowed

Array

Optional

Mutable

Array of the device brand names for which you are not allowing use of the PingID mobile app.

restrictDevicesByBrand.deviceModelsAllowed

Array

Optional

Mutable

Array of the device model names that you are limiting use of the PingID app to.

restrictDevicesByBrand.deviceModelsDisAllowed

Array

Optional

Mutable

Array of the device model names for which you are not allowing use of the PingID mobile app.

updatedAt

Date

N/A

Read-only

The time the resource was last updated.

Device requirements errors

In addition to the general error codes, device requirements operations can return the following errors:

HTTP status Top‑level code Detail code When it happens and what the response contains

400

INVALID_DATA

EMPTY_VALUE

Message: Validation Error : [<property> <message>]

When and details

When: A PUT /deviceRequirements request body omits a required property, such as an enabled setting

Details: Describes the missing property. For a nested mobileDeviceManagementRequire.tokens entry, an omitted token or creationTime value yields must not be null, for example Validation Error : [mobileDeviceManagementRequire.tokens[0].token must not be null].

400

INVALID_DATA

INVALID_VALUE

Message: Validation Error : [<property> <message>]

When and details

When: A PUT /deviceRequirements request supplies an invalid value: an unrecognized Android or iOS version for minimumOSVersionRequire or minimumPingIDAppVersionRequire, an unknown brand or model in restrictDevicesByBrand, allowed and disallowed lists that share an entry, or lists supplied while restrictDevicesByBrand.enabled is false

Details: Describes the rejected value, such as invalid android version or invalid ios version for minimumOSVersionRequire and minimumPingIDAppVersionRequire, invalid brands - <brands> for restrictDevicesByBrand, or settings are disabled, brands/models must be empty, for example Validation Error : [restrictDevicesByBrand invalid brands - [invalidBrand1]]

400

INVALID_DATA

INVALID_VALUE

Message: Validation Error : [<property> <message>]

When and details

When: A PUT /deviceRequirements request enables mobileDeviceManagementRequire without an effectiveDate or without tokens, or supplies an effectiveDate or tokens while it is disabled

Details: Describes the inconsistent MDM setting, such as settings are enabled, effective date must be provided, settings are enabled, mobile device management tokens must be provided, settings are disabled, effectiveDate and tokens must be empty, or The mobile device management token must be in UUID format., for example Validation Error : [mobileDeviceManagementRequire settings are enabled, effective date must be provided]

400

INVALID_REQUEST

None

Message: The request could not be completed. The request was malformed or invalid.

When and details

When: A PUT /deviceRequirements request body cannot be deserialized

Details: For a JSON field conversion error, the target is the field path. Otherwise no detail is returned.

404

NOT_FOUND

None

Message: The request could not be completed. The requested resource was not found.

When and details

When: The application ID in the request URL does not exist in the environment (applies to GET, PUT, and DELETE /deviceRequirements)

Details: None.

404

NOT_FOUND

None

Message: The request could not be completed. The requested resource was not found.

When and details

When: GET or DELETE /deviceRequirements references device requirements that have not been set for the application

Details: None.